*******************************************************************************
*  FILE:         Messdlg.h
*
*  WRITTEN BY:   Borland Samples Group
*
*  DATE:         2/94
*
*  UPDATED:      6/94
*
*  REVISION:     $Revision:   1.16  $
*
*  VERSION:      dBASE FOR WINDOWS 5.0
*
*  DESCRIPTION:  This is a header file for using the messdlg.prg program,
*                which calls various windows dialogs for displaying messages.
*
*  PARAMETERS:   None
*
*  CALLS:        None
*
*  USAGE:        (in a file)
*                #include <Messdlg.h>
*
*******************************************************************************
*** Message Box Styles
#define PLAIN_MESSAGE               0  && ok/cancel
#define WARNING_MESSAGE            16
#define CONFIRMATION_MESSAGE       32
#define ALERT_MESSAGE              48
#define INFORMATION_MESSAGE        64

*** Button Options

#define OK_BUTTON                  0
#define OK_CANCEL_BUTTONS          1
#define ABORT_RETRY_IGNORE_BUTTONS 2
#define YES_NO_CANCEL_BUTTONS      3
#define YES_NO_BUTTONS             4
#define RETRY_CANCEL_BUTTONS       5


*** Button Return Values
#define OK                         1
#define CANCEL                     2
#define ABORT                      3
#define RETRY                      4
#define IGNORE                     5
#define YES                        6
#define NO                         7

#define DESKTOP                    0

* Calling simplifications.  So user can call function instead of giving
* function type as an argument.
* m = message; t = title

#define PlainMessage(m,t)          msgBox(m,t,PLAIN_MESSAGE + OK_BUTTON)
#define WarningMessage(m,t)        msgBox(m,t,WARNING_MESSAGE + OK_CANCEL_BUTTONS)
#define ConfirmationMessage(m,t)   msgBox(m,t,CONFIRMATION_MESSAGE + YES_NO_BUTTONS)
#define AlertMessage(m,t)          msgBox(m,t,ALERT_MESSAGE + OK_BUTTON)
#define InformationMessage(m,t)    msgBox(m,t,INFORMATION_MESSAGE + OK_BUTTON)

